#!/bin/bash

gsdlsrcdir=src/java/org/greenstone/gsdl3

file_list=`cat java-src-file-list.txt`

for f in $file_list ; do
  echo "Adding $gsdlsrcdir/$f to gsdl3 java code-base"

  /bin/cp "$gsdlsrcdir/$f" "../../$gsdlsrcdir/$f"
done

classesdir=web/WEB-INF/classes

prop_list=`cat prop-file-list.txt`

for f in $prop_list ; do
  echo "Adding properties/$f to gsdl3 properties area"

  /bin/cp "properties/$f" "../../$classesdir/$f"
done
